/*!
 * @file power_up.h
 * @brief A class representing a PowerUp in the world.
*/

#ifndef _POWER_UP_H
#define _POWER_UP_H

#include "world_entity.h"

class Material;

class PowerUp : public WorldEntity {

public:
  void loadParams(const TiXmlElement* root);
  void collidesWith (WorldEntity* entity, const Vector& location);

  void draw();

protected:
  PowerUp(float r, float g, float b);
  virtual ~PowerUp ();
  virtual void hide();

  static Model* sphereModel;

private:
  Material* sphereMaterial;
};

#endif /* _POWER_UP_H */
